Caller-ID pool
List caller pool numbers
List the caller-ID numbers in a pool campaign with per-number usage statistics and eligibility status.
GET
/
api
/
v1
/
account
/
{account_id}
/
campaigns
/
{campaign_id}
/
pool
List caller pool numbers
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/pool \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/pool"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/pool', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));GET https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/pool
Authentication required
X-Auth-ID— your Vobiz account IDX-Auth-Token— your Vobiz auth token
string
required
Your Vobiz account ID. Use the same value in
X-Auth-ID.string
required
Your Vobiz account ID, for example
MA_XXXXXXXX.string
required
The pool campaign to inspect.
Example
cURL
curl "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/pool" \
-H "X-Auth-ID: {account_id}" \
-H "X-Auth-Token: {auth_token}"
Response fields
Each object includesis_active, total_calls, daily_calls, and pool_status.
| Status | Meaning |
|---|---|
active | Eligible for selection. |
at_limit | Reached the lifetime cap. |
at_daily_limit | Reached the daily cap. |
in_cooldown | Within the configured cooldown. |
inactive | Disabled with is_active: false. |
Was this page helpful?
⌘I
List caller pool numbers
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/pool \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/pool"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}/pool', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));